Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.rgg.model
Class ShellFilter

    java.lang.Object
      de.grogra.pf.io.FilterBase
          de.grogra.rgg.model.XLFilter
              de.grogra.rgg.model.RGGFilter
                  de.grogra.rgg.model.ShellFilter

All Implemented Interfaces:
  Filter, FilterSource, ObjectSource, RegistryContext, Map, de.grogra.xl.parser.XLTokenTypes

    public final class ShellFilter

extends RGGFilter

Nested Class Summary

Nested classes/interfaces inherited from interface de.grogra.pf.io.FilterSource
`FilterSource.MetaDataKey<V>`

Nested classes/interfaces inherited from interface de.grogra.util.Map
`Map.Chain`

Field Summary
`static java.lang.String` | `SHELL_CLASS`
`static java.lang.String` | `SHELL_PACKAGE`

Fields inherited from class de.grogra.rgg.model.XLFilter
`DUMP_TREE`

Fields inherited from class de.grogra.pf.io.FilterBase
`item, source`

Fields inherited from interface de.grogra.xl.parser.XLTokenTypes
`ABSTRACT_, ADD, ADD_ASSIGN, AND, AND_ASSIGN, ANNOTATION, ANY, APPLICATION_CONDITION, ARGLIST, ARRAY_DECLARATOR, ARRAY_INIT, ARRAY_ITERATOR, ARROW, ASSERT, ASSIGN, BOOLEAN_, BOOLEAN_LITERAL, BREAK, BYTE_, CAND, CASE, CATCH, CHAR_, CHAR_LITERAL, CLASS, CLASS_LITERAL, CMP, COLON, COM, COMMA, COMPILATION_UNIT, COMPOUND_PATTERN, CONST_, CONSTRUCTOR, CONTEXT, CONTINUE, COR, DEC, DECLARING_TYPE, DEFAULT, DEFERRED_ADD, DEFERRED_AND, DEFERRED_ASSIGN, DEFERRED_DIV, DEFERRED_MUL, DEFERRED_OR, DEFERRED_POW, DEFERRED_RATE_ASSIGN, DEFERRED_REM, DEFERRED_SHL, DEFERRED_SHR, DEFERRED_SUB, DEFERRED_USHR, DEFERRED_XOR, DIMLIST, DIV, DIV_ASSIGN, DO, DOT, DOUBLE_, DOUBLE_ARROW_RULE, DOUBLE_LITERAL, ELIST, ELSE, EMPTY, ENHANCED_FOR, EOF, EQUALS, EXEC_RULE, EXPR, EXTENDS, FINAL_, FINALLY, FLOAT_, FLOAT_LITERAL, FOLDING, FOR, GE, GT, GUARD, IDENT, IF, IMPLEMENTS, IMPORT_ON_DEMAND, IN, INC, INDEX_OP, INSTANCE_INIT, INSTANCEOF, INSTANTIATOR, INT_, INT_LITERAL, INTERFACE, INVALID_EXPR, INVOKE_OP, ITERATING_, LABEL, LABELED_STATEMENT, LAMBDA, LATE_MATCH, LBRACK, LCURLY, LE, LEFT_ARROW, LEFT_RIGHT_ARROW, LINE, LONG_, LONG_ARROW, LONG_LEFT_ARROW, LONG_LEFT_RIGHT_ARROW, LONG_LITERAL, LPAREN, LT, MARKER, METHOD, METHOD_CALL, METHOD_PATTERN, MINIMAL, MODIFIERS, MODULE, MUL, MUL_ASSIGN, NAME_PATTERN, NATIVE_, NEG, NEW, NODE, NODES, NORMAL, NOT, NOT_EQUALS, NULL_LITERAL, NULL_TREE_LOOKAHEAD, OPTIONAL_MATCH, OR, OR_ASSIGN, PACKAGE, PARAMETER_DEF, PARAMETERIZED_PATTERN, PARAMETERS, PATTERN_WITH_BLOCK, PLUS_ARROW, PLUS_LEFT_ARROW, PLUS_LEFT_RIGHT_ARROW, PLUS_LINE, POS, POST_DEC, POST_INC, POW, POW_ASSIGN, PRIVATE_, PRODUCE, PROTECTED_, PUBLIC_, QUALIFIED_NEW, QUALIFIED_SUPER, QUERY, QUERY_EXPR, QUESTION, QUOTE, RANGE, RANGE_EXACTLY, RANGE_MIN, RBRACK, RCONTEXT, RCURLY, REM, REM_ASSIGN, RETURN, ROOT, RPAREN, RULE, RULE_BLOCK, SEMI, SEPARATE, SHELL_BLOCK, SHL, SHL_ASSIGN, SHORT_, SHR, SHR_ASSIGN, SINGLE_ELEMENT, SINGLE_MATCH, SINGLE_OPTIONAL_MATCH, SINGLE_STATIC_IMPORT, SINGLE_TYPE_IMPORT, SLASH_ARROW, SLASH_LEFT_ARROW, SLASH_LEFT_RIGHT_ARROW, SLASH_LINE, SLIST, STATIC_, STATIC_IMPORT_ON_DEMAND, STATIC_INIT, STATIC_MEMBER_CLASSES, STRICT_, STRING_LITERAL, SUB, SUB_ASSIGN, SUPER, SWITCH, SWITCH_GROUP, SYNCHRONIZED_, THIS, THROW, THROWS, TRANSIENT_, TRAVERSAL, TREE, TRY, TYPE_PATTERN, TYPECAST, TYPECHECK, UNARY_PREFIX, USHR, USHR_ASSIGN, VARARGS_, VARIABLE_DEF, VOID_, VOLATILE_, WHILE, WITH, WRAPPED_TYPE_PATTERN, X_LEFT_RIGHT_ARROW, XOR, XOR_ASSIGN, YIELD`

Fields inherited from interface de.grogra.pf.io.FilterSource
`AUTO_PROGRESS, DESTINATION_FILE, DESTINATION_URL`

Fields inherited from interface de.grogra.util.Map
`DEFAULT_VALUE, EMPTY_MAP`

Constructor Summary
`ShellFilter(Registry reg, de.grogra.xl.compiler.scope.ClassPath path, java.lang.String command, de.grogra.xl.compiler.scope.CompilationUnitScope last)`

Method Summary
`static Console` | `createConsole(Context ctx, Map params)`
`protected de.grogra.xl.parser.Parser` | `createParser(Tokenizer t)` Creates the parser which will subsequently be used to parse the token stream resulting from `t` into an abstract syntax tree.
`protected de.grogra.xl.compiler.scope.Scope` | `getImports(de.grogra.xl.compiler.scope.ClassPath path)` Constructs the scope which includes all automatic imports.

Methods inherited from class de.grogra.rgg.model.RGGFilter
`getEnclosingAnnotations, getPackageImports, getSingleTypeImports, getStaticTypeImports`

Methods inherited from class de.grogra.rgg.model.XLFilter
`compile, compile, createTokenizer, getClassName, getLoaderForAll, getMemberTypeImports, getObject, isD2FWidening`

Methods inherited from class de.grogra.pf.io.FilterBase
`get, getFilter, getFlavor, getImpl, getMetaData, getRegistry, getSource, getSystemId, initProgressMonitor, setFlavor, setMetaData, setMetaData, setProgress, setSystemId, toString, toURL`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface de.grogra.pf.io.FilterSource
`getFilter, getFlavor, getMetaData, getSystemId, initProgressMonitor, setMetaData, setProgress`

Methods inherited from interface de.grogra.pf.registry.RegistryContext
`getRegistry`

Field Detail

### SHELL_CLASS

    public static final java.lang.String SHELL_CLASS

See Also:
  Constant Field Values

### SHELL_PACKAGE

    public static final java.lang.String SHELL_PACKAGE

See Also:
  Constant Field Values

Constructor Detail

### ShellFilter

    public ShellFilter(Registry reg,
                       de.grogra.xl.compiler.scope.ClassPath path,
                       java.lang.String command,
                       de.grogra.xl.compiler.scope.CompilationUnitScope last)

Method Detail

### createConsole

    public static Console createConsole(Context ctx,
                                        Map params)

### createParser

    protected de.grogra.xl.parser.Parser createParser(Tokenizer t)

  Description copied from class: `XLFilter`
  Creates the parser which will subsequently be used to parse the token stream resulting from `t` into an abstract syntax tree.

  Overrides:
    `createParser` in class `RGGFilter`
  Parameters:
    `t` - token stream input
  Returns:
    parser which parses token stream of `t`

### getImports

    protected de.grogra.xl.compiler.scope.Scope getImports(de.grogra.xl.compiler.scope.ClassPath path)
                                                    throws java.lang.ClassNotFoundException

  Description copied from class: `XLFilter`
  Constructs the scope which includes all automatic imports.

  Overrides:
    `getImports` in class `XLFilter`
  Parameters:
    `path` - class path which defines the existing classes and interfaces
  Returns:
    scope including automatic imports based on `path`
  Throws:
    `java.lang.ClassNotFoundException`
  See Also:
    `XLFilter.getPackageImports()`, `XLFilter.getMemberTypeImports()`, `XLFilter.getSingleTypeImports()`, `XLFilter.getStaticTypeImports()`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD